<script setup>

import { computed } from 'vue';

const props = defineProps(['props.state']);

const hsl = computed(() => { return h.value + ', ' + s.value + '%,' + l.value + '%'; });

const h = computed(() => {

	return Math.round(120 +
		120 * Math.max(wv.value / wm.value, uv.value / um.value)
		- 120 * Math.max(bf.value / bm.value, rv.value / rm.value)
		- 200 * (madness.value / madness.max.value)
	);

});
const s = computed(() => {
	return 90 * (1 - madness.value / madness.value.max);
});

const l = computed(() => {

	return Math.round(100 * (1 - (

		(wv.value + uv.value + bv.value + rv.value) /
		(wm.value + um.value + bm.value + rm.value)

	)));
});

const weary = computed(() => { return props.state.getData('weary'); });
const wv = computed(() => { return weary.value.value; });
const wm = computed(() => { return weary.value.max.value });

const unease = computed(() => { return props.state.getData('unease'); });
const uv = computed(() => { return unease.value.value; });
const um = computed(() => { return unease.value.max.value });

const bf = computed(() => { return props.state.getData('bf'); });
const bv = computed(() => { return bf.value.value; });
const bm = computed(() => { return bf.value.max.value });


const rage = computed(() => { return props.state.getData('rage'); });
const rv = computed(() => { return rage.value.value; });
const rm = computed(() => { return rage.value.max.value });


const madness = computed(() => { return props.state.getData('madness'); });
//const mv = computed(() => { return madness.value.value; });
//const mm = computed(() => { return madness.value.max.value });
</script>


<template>

<div class="mood" :style="'background:hsl(' + hsl + ')'">
	&nbsp;
</div>

</template>


<style scoped>
.mood {
	border: var(--tiny-gap) solid black;
	width: 3em;
	height: 3em;
}
</style>